Show / Hide Table of Contents

# Struct InventoryManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct InventoryManager

### Fields

| Improve this Doc View Source

#### Inventories

##### Declaration

    public InventoryContainer*Inventories

##### Field Value

Type | Description
--- | ---
InventoryContainer* |

### Methods

| Improve this Doc View Source

#### GetInventoryContainer(InventoryType)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B 55 BB")]
    public InventoryContainer*GetInventoryContainer(InventoryType inventoryType)

##### Parameters

Type | Name | Description
--- | --- | ---
InventoryType | inventoryType |

##### Returns

Type | Description
--- | ---
InventoryContainer* |

| Improve this Doc View Source

#### GetInventoryItemCount(UInt32, Boolean, Boolean, Boolean, Int16)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B 53 F1")]
    public int GetInventoryItemCount(uint itemId, bool isHq = false, bool checkEquipped = true, bool checkArmory = true, short minCollectability = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId |
System.Boolean | isHq |
System.Boolean | checkEquipped |
System.Boolean | checkArmory |
System.Int16 | minCollectability |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetItemCountInContainer(UInt32, InventoryType, Boolean, Int16)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 41 8B 2C 24")]
    public int GetItemCountInContainer(uint itemId, InventoryType inventoryType, bool isHq = false, short minCollectability = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId |
InventoryType | inventoryType |
System.Boolean | isHq |
System.Int16 | minCollectability |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("BA ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 85 C0", 0, false)]
    public static InventoryManager*Instance()

##### Returns

Type | Description
--- | ---
InventoryManager* |